using System;
using UnityEngine;
using UnityEngine.Serialization;

public class Pit : MonoBehaviour
{
   public float startmass;
   private void OnTriggerEnter(Collider other)
   {
      if (other.isTrigger) return;
      startmass = other.GetComponent<Rigidbody>().mass;
      other.GetComponent<Rigidbody>().mass = 100;
      other.GetComponent<Rigidbody>().mass = startmass;
      other.GetComponent<PositionReset>().Reset();
   }
}
